> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Forward Thread

> Forward an email to new recipients.



## OpenAPI

````yaml post /email/threads/{thread_id}/forward
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /email/threads/{thread_id}/forward:
    post:
      tags:
        - provider
        - email
      summary: Forward Thread
      description: Forward an email to new recipients.
      operationId: forward_thread_email_threads__thread_id__forward_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: thread_id
          in: path
          required: true
          schema:
            type: string
            title: Thread Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ForwardEmailRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendEmailResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ForwardEmailRequest:
      properties:
        to:
          items:
            type: string
          type: array
          minItems: 1
          title: To
          description: Forward recipients
        bodyHtml:
          anyOf:
            - type: string
            - type: 'null'
          title: Bodyhtml
          description: Additional message
        bodyText:
          anyOf:
            - type: string
            - type: 'null'
          title: Bodytext
      type: object
      required:
        - to
      title: ForwardEmailRequest
      description: Request to forward an email.
    SendEmailResponse:
      properties:
        success:
          type: boolean
          title: Success
        messageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Messageid
        threadId:
          anyOf:
            - type: string
            - type: 'null'
          title: Threadid
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
      type: object
      required:
        - success
      title: SendEmailResponse
      description: Response after sending an email.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````